Subject: Re: linux-next: build failure after merge of the sound-asoc tree

From: Michael Ellerman <[email-masked]>
Date: Sun, 26 Apr 2020 09:30:57 +1000

Mark Brown <[email-masked]> writes:
> On Thu, Apr 23, 2020 at 11:04:00PM +1000, Stephen Rothwell wrote:
>> On Thu, 23 Apr 2020 12:30:41 +0100 Mark Brown <[email-masked]> wrote:
>
>> > It looks like this is triggered by PowerPC not including
>> > drivers/firmware - there are missing dependencies but it works for other
>> > all*configs since the dependencies all get built in those.  It would be
>> > helpful if PowerPC were fixed to include the firmware directory to
>> > improve coverage.
>
>> $ git grep drivers/firmware 'arch/*/*Kconfig*'
>> arch/arm/Kconfig:source "drivers/firmware/Kconfig"
>> arch/arm64/Kconfig:source "drivers/firmware/Kconfig"
>> arch/ia64/Kconfig:source "drivers/firmware/Kconfig"
>> arch/mips/Kconfig:source "drivers/firmware/Kconfig"
>> arch/x86/Kconfig:source "drivers/firmware/Kconfig"
>
>> so, sure, it works for some architectures.  We would need someone to do
>> the work to make sure that adding drivers/firmware to all the others
>> does not break other stuff.  Until then, please add the needed
>> dependencies.
>
> I am doing that but that still doesn't mean that the architectures
> shouldn't be updated - to me this is like the architectures that don't
> implement standard APIs, we should fix the issues they bring up but it'd
> be a lot less noisy to sidestep the issue.

I don't think it's really like architectures that don't implement
standard APIs.

It's more like architectures not building code they don't need, AFAICS
none of the drivers under there can ever be used on powerpc.

Similarly we don't build drivers/acpi.

But if there's a good reason that we should be building it then I'm
happy to take a patch adding it.

cheers